#include <iostream>
#include <stdio.h>
#include <stdlib.h>
using namespace std;

int main(int argc, char** argv) {
	int n,k,i,j,brr,r,z,h;
	cin>>n;
	cin>>k;
	int a[n],br[n],l[n];
	brr=0;
	for(i=0;i<n;i++)
	{
		cin>>a[i];
	}
	for (i=0;i<n;i++){
		br[i]=1;
		for(j=i+1;j<n;j++){
			if(a[i]==a[j])
			{
				br[i]++;
			}
		}
	}
	for(i=0;i<n;i++){
		if(br[i]>=k)
		{
			brr++;
	
		}
	}
	h=0;
	for(i=0;i<n;i++){
		
		if(br[i]>=k)
			{
				r=0;
				for(j=0;j<i;j++)
					{
						if(a[j]==a[i]) r++;
					}	
				if(r>0) 
					{
						brr--;
						break;
					}
				if (r==0)
					{
						l[h]=a[i];
						h++;
					}
			}
	}
	cout<<brr<<endl;
	for(i=0;i<brr;i++){
		cout<<l[i]<<" ";
	}
	return 0;
}